Code::TidyAll::Result(3pm)

NAME
Code::TidyAll::Result - Result returned from processing a file/source

VERSION
version 0.85

SYNOPSIS
    my $ct = Code::TidyAll->new(...);
    my $result = $ct->process_file($file);
    if ($result->error) {
       ...
    }

DESCRIPTION
Represents the result of "Code::TidyAll->process_file" and "Code::TidyAll->process_file". A list of these is returned from " Code::TidyAll-"process_paths >>.

METHODS
This class provides the following methods:

  $result->path
The path that was processed, relative to the root (e.g. "lib/Foo.pm")

  $result->state
A string, one of

•   "no_match" - No plugins matched this file

•   "cached" - Cache hit (file had not changed since last processed)

•   "error" - An error occurred while applying one of the plugins

•   "checked" - File was successfully checked and did not change

•   "tidied" - File was successfully checked and changed

  $result->orig_contents
Contains the original contents if state is 'tidied' and with some errors (like when a file needs tidying in check-only mode)

  $result->new_contents
Contains the new contents if state is 'tidied'

  $result->error
Contains the error message if state is 'error'

  $result->ok
Returns true iff state is not 'error'

SUPPORT
Bugs may be submitted at <https://github.com/houseabsolute/perl-code-tidyall/issues>.

SOURCE
The source code repository for Code-TidyAll can be found at <https://github.com/houseabsolute/perl-code-tidyall>.

AUTHORS

•   Jonathan Swartz <swartz@pobox.com>

•   Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 - 2025 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.